]> git.ipfire.org Git - thirdparty/bind9.git/commitdiff
regen
authorMark Andrews <marka@isc.org>
Wed, 10 Mar 2004 03:25:48 +0000 (03:25 +0000)
committerMark Andrews <marka@isc.org>
Wed, 10 Mar 2004 03:25:48 +0000 (03:25 +0000)
configure

index 9d29da54c6d65a7d71d57937342acaef97d2be58..5182df30b94b45ef7acbebf0e15d5bf1ef015d04 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in Revision: 1.294.2.30 .
+# From configure.in Revision: 1.294.2.31 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by GNU Autoconf 2.59.
 #
@@ -5184,9 +5184,14 @@ case $host in
         # UnixWare
        use_threads=false ;;
 *-netbsd*)
-       # Socket I/O optimizations introduced in 9.2 expose a
-       # bug in unproven-pthreads; see PR #12650
-       use_threads=false ;;
+       if test -r /usr/lib/libpthread.so ; then
+           use_threads=true
+       else
+           # Socket I/O optimizations introduced in 9.2 expose a
+           # bug in unproven-pthreads; see PR #12650
+           use_threads=false
+       fi
+       ;;
 *-openbsd*)
        # OpenBSD users have reported that named dumps core on
        # startup when built with threads.
@@ -5275,25 +5280,32 @@ echo "${ECHO_T}PTL2" >&6
 echo "$as_me: WARNING: linking with PTL2 is highly experimental and not expected to work" >&2;}
                        CC=ptlgcc
                else
-                       if test ! -d $LOCALBASE/pthreads
+                       if test -r /usr/lib/libpthread.so
                        then
-                               echo "$as_me:$LINENO: result: none" >&5
+                               echo "$as_me:$LINENO: result: native" >&5
+echo "${ECHO_T}native" >&6
+                               LIBS="-lpthread $LIBS"
+                       else
+                               if test ! -d $LOCALBASE/pthreads
+                               then
+                                       echo "$as_me:$LINENO: result: none" >&5
 echo "${ECHO_T}none" >&6
-                               { { echo "$as_me:$LINENO: error: \"could not find thread libraries\"" >&5
+                                       { { echo "$as_me:$LINENO: error: \"could not find thread libraries\"" >&5
 echo "$as_me: error: \"could not find thread libraries\"" >&2;}
    { (exit 1); exit 1; }; }
-                       fi
+                               fi
 
-                       if $use_threads
-                       then
-                               echo "$as_me:$LINENO: result: mit-pthreads/unproven-pthreads" >&5
+                               if $use_threads
+                               then
+                                       echo "$as_me:$LINENO: result: mit-pthreads/unproven-pthreads" >&5
 echo "${ECHO_T}mit-pthreads/unproven-pthreads" >&6
-                               pkg="$LOCALBASE/pthreads"
-                               lib1="-L$pkg/lib -Wl,-R$pkg/lib"
-                               lib2="-lpthread -lm -lgcc -lpthread"
-                               LIBS="$lib1 $lib2 $LIBS"
-                               CPPFLAGS="$CPPFLAGS -I$pkg/include"
-                               STD_CINCLUDES="$STD_CINCLUDES -I$pkg/include"
+                                       pkg="$LOCALBASE/pthreads"
+                                       lib1="-L$pkg/lib -Wl,-R$pkg/lib"
+                                       lib2="-lpthread -lm -lgcc -lpthread"
+                                       LIBS="$lib1 $lib2 $LIBS"
+                                       CPPFLAGS="$CPPFLAGS -I$pkg/include"
+                                       STD_CINCLUDES="$STD_CINCLUDES -I$pkg/include"
+                               fi
                        fi
                fi
                ;;
@@ -7662,7 +7674,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 7665 "configure"' > conftest.$ac_ext
+  echo '#line 7677 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -8652,7 +8664,7 @@ fi
 
 
 # Provide some information about the compiler.
-echo "$as_me:8655:" \
+echo "$as_me:8667:" \
      "checking for Fortran 77 compiler version" >&5
 ac_compiler=`set X $ac_compile; echo $2`
 { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@@ -9690,11 +9702,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:9693: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:9705: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:9697: \$? = $ac_status" >&5
+   echo "$as_me:9709: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -9923,11 +9935,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:9926: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:9938: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:9930: \$? = $ac_status" >&5
+   echo "$as_me:9942: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -9983,11 +9995,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:9986: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:9998: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:9990: \$? = $ac_status" >&5
+   echo "$as_me:10002: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -12167,7 +12179,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 12170 "configure"
+#line 12182 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -12265,7 +12277,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 12268 "configure"
+#line 12280 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -14448,11 +14460,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14451: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14463: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:14455: \$? = $ac_status" >&5
+   echo "$as_me:14467: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -14508,11 +14520,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14511: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14523: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:14515: \$? = $ac_status" >&5
+   echo "$as_me:14527: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -15869,7 +15881,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 15872 "configure"
+#line 15884 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -15967,7 +15979,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 15970 "configure"
+#line 15982 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -16794,11 +16806,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16797: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16809: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:16801: \$? = $ac_status" >&5
+   echo "$as_me:16813: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -16854,11 +16866,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16857: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16869: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:16861: \$? = $ac_status" >&5
+   echo "$as_me:16873: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -18892,11 +18904,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:18895: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:18907: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:18899: \$? = $ac_status" >&5
+   echo "$as_me:18911: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -19125,11 +19137,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:19128: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:19140: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:19132: \$? = $ac_status" >&5
+   echo "$as_me:19144: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -19185,11 +19197,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:19188: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:19200: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:19192: \$? = $ac_status" >&5
+   echo "$as_me:19204: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -21369,7 +21381,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 21372 "configure"
+#line 21384 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -21467,7 +21479,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 21470 "configure"
+#line 21482 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H